Subject: Re: bug#75844: Update for window-tool-bar

From: Juri Linkov <[email-masked]>
Date: Tue, 04 Feb 2025 09:40:19 +0200

>>>> BTW this
>>>> ;; Dragging empty space on the tab-line (which this package uses to
>>>> ;; display the window tool bar) doesn't resize windows.  This is
>>>> ;; unlike the mode line, where dragging empty space resizes the
>>>> ;; window.
>>>> apparently hasn't been fixed.  Why not?
>>> People I know in person have mentioned this to me directly which is why
>>> I added this. I think this is actually better fixed in tab-line.el,
>>> though. tab-line-mode has the same issue.  If you think it's more useful
>>> to
>>> file a separate bug for this, I can do so and delete this as a known
>>> issue
>>> of window-tool-bar.
>> Dragging empty space on the tab-line would be nice to have
>> when it doesn't preclude from dragging tabs to reorder them.
>> Please file a separate request if you intend to implement this.
>
> Will do. It's especially strange since dragging on a header line *does*
> resize the window. If you have a header line and a tab line both visible,
> you end up with the following stack at the boundary between windows:
>
> Top window content
> --- MINIBUFFER --- (draggable)
> --- TAB LINE ----- (not draggable)
> --- HEADER LINE -- (draggable)
> Bottom window content

Indeed, this omission is especially glaring in this case.

It's interesting to note that hovering over the mode line changes
the mouse icon to indicate resizing, but hovering over the header line
doesn't change the mouse icon, so no indication that it's draggable.

> I'll file a separate bug for making dragging empty space on the tab line
> work and will delete this line from the patch next time I'm near my
> Emacs-development computer.

Thanks in advance.

> Any other feedback here?

I have no more feedback.